# $Id: perl-XML-XSLT.spec 5976 2007-11-09 20:21:26Z dag $
# Authority: dries
# Upstream: Jonathan Stowe <jns$gellyfish,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name XML-XSLT

Summary: Module for processing XSLT
Name: perl-XML-XSLT
Version: 0.48
Release: 1.2.%{releasetagsuffix}
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/XML-XSLT/

Source: http://www.cpan.org/modules/by-module/XML/XML-XSLT-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
This is a Perl module to parse XSL Transformational sheets. For a
description of the XSLT, see http://www.w3.org/TR/xslt. Currently, it
uses XML::Parser and XML::DOM, but an effort is being made to use
XML::XPath.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod
%{__rm} -f %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog README
%{_bindir}/xslt-parser
%{_mandir}/man?/*
%{perl_vendorlib}/XML/XSLT.pm

%changelog
* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 0.48-1.2 #5976
- Rebuild for Fedora Core 5.

* Wed Jun 16 2004 Dries Verachtert <dries@ulyssis.org> - 0.48-1
- Initial package.
